/************************************************************
3217 Phoenixville Pike
Malvern, PA  19355
800 321-5355 or 610 725-8800
http://www.lawsonlabs.com
VC++ demo. program for M40x A/D board,
Uses DLL: M40x.DLL to access M401
*************************************************************/


#if !defined(AFX_EXSCANVOLTDLG_H__14A2B539_87A4_463F_9122_BF206032C52E__INCLUDED_)
#define AFX_EXSCANVOLTDLG_H__14A2B539_87A4_463F_9122_BF206032C52E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExScanVoltDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExScanVoltDlg dialog

class CExScanVoltDlg : public CDialog
{
// Construction
private:	
	void SetExSubChan(BYTE bSubChan);
	void UpdateColRects();
	void RestoreOrgRects();
	void SaveOrgRects();
	void MoveToX(LONG X, CWnd *pWnd);
	RECT rOrgAD0, rOrgAD1, rOrgAD6, rOrgAD7,rOrgMain,rAD0, rAD1, rAD6, rAD7, rMain;
	BOOL m_flgFirstTime;	//FALSE after first call to OnInitDialog
	CStatic m_LblAD0, m_LblAD1, m_LblAD6, m_LblAD7;
public:
	CStatic m_SAD0[16], m_SAD1[16],m_SAD6, m_SAD7;	
	BOOL Create( UINT nIDTemplate, CWnd* pParentWnd = NULL );
	CExScanVoltDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CExScanVoltDlg)
	enum { IDD = IDD_EX_SCAN_VOLTS };
	CEdit	m_TxtScanRate;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExScanVoltDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CExScanVoltDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXSCANVOLTDLG_H__14A2B539_87A4_463F_9122_BF206032C52E__INCLUDED_)
