/************************************************************
3217 Phoenixville Pike
Malvern, PA  19355
800 321-5355 or 610 725-8800
http://www.lawsonlabs.com
VC++ demo. program for M40x A/D board,
Uses DLL: M40x.DLL to access M401
*************************************************************/


#if !defined(AFX_SETNEWIP_H__75782CFD_4A70_4D36_90E7_89A4B825F2D9__INCLUDED_)
#define AFX_SETNEWIP_H__75782CFD_4A70_4D36_90E7_89A4B825F2D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetNewIP.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetNewIP dialog

class CSetNewIP : public CDialog
{
// Construction
public:
	CSetNewIP(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSetNewIP)
	enum { IDD = IDD_CFG_M40X };
	CComboBox	m_cmbADRange;
	CStatic	m_config_settings;
	CStatic	m_mac_addr;
	CEdit	m_dhcp_tmout;
	CIPAddressCtrl	m_subnet_mask;
	CButton	m_download_btn;
	CIPAddressCtrl	m_gateway_ip;
	CIPAddressCtrl	m_ip_newaddress;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetNewIP)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetNewIP)
	virtual BOOL OnInitDialog();
	afx_msg void OnDownload();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BYTE MapComboIndexToADRangeCode(int nComboIndex);
	int MapADRangeCodeToComboIndex(BYTE bARangeCode);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETNEWIP_H__75782CFD_4A70_4D36_90E7_89A4B825F2D9__INCLUDED_)
